%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  evt0
%global packver   1.1-4
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.1.4
Release:          1%{?dist}%{?buildtag}
Summary:          Mean of Order P, Peaks over Random Threshold Hill and High Quantile Estimates

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 1.9.0
Requires:         R-core >= 1.9.0
BuildArch:        noarch
BuildRequires:    R-CRAN-evd 
BuildRequires:    R-stats 
Requires:         R-CRAN-evd 
Requires:         R-stats 

%description
The R package proposes extreme value index estimators for heavy tailed
models by mean of order p <DOI:10.1016/j.csda.2012.07.019>, peaks over
random threshold <DOI:10.57805/revstat.v4i3.37> and a bias-reduced
estimator <DOI:10.1080/00949655.2010.547196>. The package also computes
moment, generalised Hill <DOI:10.2307/3318416> and mixed moment estimates
for the extreme value index. High quantiles and value at risk estimators
based on these estimators are implemented.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
